[ 
https://issues.apache.org/jira/browse/DELTASPIKE-1336?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Mark Struberg reassigned DELTASPIKE-1336:
-----------------------------------------

    Assignee: Mark Struberg

> Regression: deltaspike-cdictrl-weld 1.8.0 depends on weld-api 1.1.Final
> -----------------------------------------------------------------------
>
>                 Key: DELTASPIKE-1336
>                 URL: https://issues.apache.org/jira/browse/DELTASPIKE-1336
>             Project: DeltaSpike
>          Issue Type: Bug
>          Components: TestControl
>    Affects Versions: 1.8.0
>            Reporter: Christophe Chisogne
>            Assignee: Mark Struberg
>            Priority: Minor
>             Fix For: 1.9.0
>
>         Attachments: pom-ds-1.7.2.xml, pom-ds-1.8.0-fix.xml, pom-ds-1.8.0.xml
>
>
> TheĀ {{deltaspike-cdictrl-weld}} module introduces a new dependency since 
> 1.8.0: {{org.jboss.weld:weld-api:jar:1.1.Final}}. This wasn't the case in 
> 1.7.2.
> This causes issues when depending on other weld versions, like 2.3. For 
> example 
> {code}
> java.lang.NoSuchMethodError: 
> org.jboss.weld.context.SingletonContext.invalidate()V
> {code}
> To reproduce: execute a simple {{mvn dependency:tree}} on the attached 
> pom.xml files.
> The issue is probably caused by the {{weld.version}} property (1.1.9.Final) 
> added to the deltaspike parent pom.xml.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to